
ChiliProject - Bug # 944: Engines::Testing.set_fixture_path appends array to $LOAD_PATH in Ruby 1.9

Status: Closed Priority: Normal
Author: Jan Vlnas Category: Testing
Created: 2012-03-21 Assignee: Jan Vlnas
Updated: 2012-06-23 Due date:
Remote issue URL:
Affected version: master
Description: Since the original Engines plugin is abandoned, I am assuming ChiliProject have adopted it â€“ please 

correct me if I am wrong.

Engines::Testing defines temporary directory this way:
<pre>
self.temporary_fixtures_directory = FileUtils.mkdir_p(File.join(Dir.tmpdir, "rails_fixtures"))
</pre>

This is a string in Ruby 1.8.7, but in Ruby 1.9.X, @mkdir_p@ returns an array. @set_fixture_path@ pushes 
the array to @$LOAD_PATH@ causing subsequent @require@ calls to fail.

Associated revisions
2012-06-23 09:23 pm - Jan Vlnas 
Correct engine tests to work on Ruby 1.9 #952 #944

History
2012-05-21 10:10 am - Jan Vlnas
- Status changed from Open to Ready for review

https://github.com/chiliproject/chiliproject/pull/195

2012-06-23 06:49 pm - Felix Schäfer
- Status changed from Ready for review to Needs more information

- Assignee set to Jan Vlnas

Mmh, I can't seem to reproduce this on 1.9.3?

2012-06-23 07:38 pm - Jan Vlnas
Well, I haven't explained what this bug is actually about, didn't I?

Plugins usually call @Engines::Testing.set_fixture_path@ in their test_helper to mix and replace ChiliProject's fixtures with theirs. I've found this bug 
when trying to run tests for "Eric's Message Bar":https://github.com/edavis10/chiliproject_message_bar plugin.

Pull request contains these "test cases to reproduce the issue":https://github.com/jnv/engines/commit/a72c9349108b552cae795b53d307cda2c5721c37 
â€“ on Linux, tests without a fix in @lib/engines/testing.rb@ will fail with MRI 1.9.2 and 1.9.3.

2012-06-23 09:26 pm - Felix Schäfer
- Status changed from Needs more information to Closed

- Category set to Testing

- Target version set to 3.3.0
Ah, I thought it was some already existing test that failed. Merged in commit:29af3ec, thanks.
